Bug 70533 - EDITING: Drop caps prevents arrow down to move to next line
Summary: EDITING: Drop caps prevents arrow down to move to next line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2013-10-16 14:18 UTC by Y
Modified: 2021-08-11 03:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Prepared document to test the arrow keys functionality (16.87 KB, application/vnd.oasis.opendocument.text)
2013-10-16 14:18 UTC, Y
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Y 2013-10-16 14:18:28 UTC
Created attachment 87736 [details]
Prepared document to test the arrow keys functionality

How to reproduce:
* Start with a couple of paragraphs that have a Drop Caps (as in the included attachment)
* point the cursor at the beginning of a paragraph
* use arrows to scroll up and down

Expected behaviour:
* arrow down should behave like arrow up
* each press of the arrow down button should move to the line underneath.
* if inside the drop caps, should move down to the first visible line (i.e. the number of lines of the drop caps

Observed behaviour:
* arrow down becomes unfonctional
* arrow up works as expected
Comment 1 Cor Nouws 2013-10-16 15:29:53 UTC
Hi Y,

thanks for the issue. I know it behaves like this since I know Writer. But indeed, it's a problem.
Regards,
Cor
Comment 2 QA Administrators 2015-04-19 03:20:51 UTC Comment hidden (obsolete)
Comment 3 Y 2015-04-19 07:49:23 UTC
As requested, I confirm the bug is still present in LibreOffice 4.4.2.2 Build ID 40m0(Build:2) in Xubuntu 14.04
Comment 4 QA Administrators 2016-09-20 09:24:20 UTC Comment hidden (obsolete)
Comment 5 Y 2016-09-20 11:02:36 UTC
The bug is still present in LibreOffice 5.2.0.4 running on Ubuntu 14.04LTS.

Now, only arrow down button is affected.

First, when opening the attachment in the original bug report, dropcaps are not displayed at all.  I had to go to menu Format > Paragraph, tab Drop Caps, and under settings set it to Display drop caps, for each concerned paragraph.  Additionally, I had to check the box whole world.

Then, using the arrows up/down, when the cursor ends up in a drop cap field, it does not exit from it properly when hitting the arrow down.  The other three arrows keys work as expected.

So, I would say there is a 50% improvement over the last time I tested.  The glass is half full.  Thank you for making LibreOffice better.
Comment 6 Xisco Faulí 2017-09-29 08:49:37 UTC Comment hidden (obsolete)
Comment 7 Cor Nouws 2017-09-29 21:15:02 UTC
still present in recent master on Linux.
Version: 6.0.0.0.alpha0+
Build ID: 892c719fffa06de4c7aeab497326cad7bae9e5c6
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-27_03:02:09
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 8 QA Administrators 2018-09-30 02:49:28 UTC Comment hidden (obsolete)
Comment 9 Y 2018-09-30 04:32:26 UTC
Bug is still present.  LibreOffice 6.0.6.2 running on Ubuntu 16.04LTS.
Comment 10 QA Administrators 2021-08-11 03:58:38 UTC
Dear Y,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug